%define upstream_name    Modem-Vgetty
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Interface to vgetty(8)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Modem/%{upstream_name}-0.03.tar.gz
Patch0:		Modem-Vgetty-0.03-VOCP.patch

BuildArch:	noarch

%description
Modem::Vgetty is an encapsulation object for writing applications for voice
modems using the vgetty(8) or vm(8) package. The answering machines and
sofisticated voice applications can be written using this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
# perl path hack
find . -type f | \
    xargs %{__perl} -pi -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc examples ChangeLog README
%{perl_vendorlib}/Modem
%{_mandir}/man3*/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-8pclos2017
- rebuild against updates

